import axios, { isAxiosError } from "axios";

const homeServices = {
  getProducts: async () => {
    try {
      const res = await axios.get("https://dummyjson.com/products");
      return res.data;
    } catch (error: any) {
      if (isAxiosError(error)) {
        throw new Error(error.response?.data.message);
      }
      throw new Error("Something went wrong. Please try again.");
    }
  },
};

export default homeServices;
